PeopleForce
Assets

Deprecated

Company API v1 is deprecated and will be removed in a future release. Migrate to a newer version — v4 is the latest. Use the version switcher in the header.

List all assets

GET
/api/public/v1/assets

Query Parameters

page?integer

Response Body

application/json

curl -X GET "https://example.com/api/public/v1/assets"
{  "data": [    {      "id": 0,      "name": "string",      "code": "string",      "serial_number": null,      "description": "string",      "price": null,      "currency_code": "string",      "location_id": 0,      "asset_category_id": 0,      "created_at": "string",      "updated_at": "string",      "asset_assignments": [        null      ]    }  ],  "metadata": {    "pagination": {      "page": 0,      "pages": 0,      "count": 0,      "items": 0    }  }}